Skip to main content
Start a new execution of a workflow definition within a session.

POST /revisions/:id/data (Command: create_execution)

Request Body

ParameterTypeRequiredDescription
enginestringYesMust be workflow_blobhub.
commandstringYesMust be create_execution.
session_idstringYesThe ID of the session.
definition_idstringNoID of definition to execute (or use alias).
aliasstringNoAlias of definition to execute (or use definition_id).
input_dataarrayNoList of input objects {"alias": "foo", "value": {...}}.

Response

ParameterTypeDescription
executionobjectThe created execution object.

Example

{
  "engine": "workflow_blobhub",
  "command": "create_execution",
  "session_id": "sess_001",
  "alias": "data-process",
  "input_data": [
    { "alias": "input_1", "value": { "type": "string" } }
  ]
}